🔗 REST APIMetrics V1
Historical metrics for the exchange
Get exchange metrics history.
Authorization<token>
API Key is required to access the endpoints
In: header
Query Parameters
metric_id*string
Metric identifier (from the Metrics -> Listing)
exchange_id*string
Exchange identifier (from the Metadata -> Exchanges)
time_start?string
Starting time in ISO 8601
Format
date-timetime_end?string
Ending time in ISO 8601
Format
date-timetime_format?string
If set, returned values will be in unix timestamp format (valid values: unix_sec, unix_millisec, unix_microsec, unix_nanosec)
period_id?string
Identifier of requested timeseries period (e.g. 5SEC or 2MTH), default value is 1SEC
limit?integer
Amount of items to return (optional, mininum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)
Format
int32Default
100Response Body
curl -X GET "https://example.com/v1/metrics/exchange/history?metric_id=string&exchange_id=string"[ { "time_period_start": "2023-07-03T14:29:02.0000000Z", "time_period_end": "2023-07-03T14:29:03.0000000Z", "time_open": "2023-07-03T14:29:02.5699837Z", "time_close": "2023-07-03T14:29:02.5699837Z", "first": 0, "last": 0, "min": 0, "max": 0, "count": 0, "sum": 30668.476938 }, { "time_period_start": "2023-07-03T14:29:03.0000000Z", "time_period_end": "2023-07-03T14:29:04.0000000Z", "time_open": "2023-07-03T14:29:03.1076159Z", "time_close": "2023-07-03T14:29:03.1076159Z", "first": 0, "last": 0, "min": 0, "max": 0, "count": 0, "sum": 0.05485331 }, { "time_period_start": "2023-07-03T14:29:04.0000000Z", "time_period_end": "2023-07-03T14:29:05.0000000Z", "time_open": "2023-07-03T14:29:04.5792149Z", "time_close": "2023-07-03T14:29:04.9459786Z", "first": 0, "last": 0, "min": 0, "max": 0, "count": 0, "sum": 7.0257000000000005 }]